Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.exception
Class SNAApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationException
                  com.stc.connector.snalu62.exception.SNAApplicationException

All Implemented Interfaces:
  SNANestedException, java.io.Serializable

    public class SNAApplicationException

extends com.stc.connector.appconn.common.ApplicationException
implements SNANestedException

This is an exception class for SNA LU62 application.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:33 $
Author:
  Harry Liu (harryliu@seebeyond.com)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`SNAApplicationException()` Constructs an instance of `SNAApplicationException`.
`SNAApplicationException(java.lang.Exception nestedException)` Constructs an instance of `SNAApplicationException` with the specified nested exception.
`SNAApplicationException(java.lang.String msg)` Constructs an instance of `SNAApplicationException` with the specified detail message.
`SNAApplicationException(java.lang.String msg, java.lang.Exception nestedException)` Constructs an instance of `SNAApplicationException` with the specified detail message and nested exception.

Method Summary
`java.lang.Exception` | `getNestedException()` Gets the nested exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### SNAApplicationException

    public SNAApplicationException()

  Constructs an instance of `SNAApplicationException`.

### SNAApplicationException

    public SNAApplicationException(java.lang.String msg)

  Constructs an instance of `SNAApplicationException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### SNAApplicationException

    public SNAApplicationException(java.lang.Exception nestedException)

  Constructs an instance of `SNAApplicationException` with the specified nested exception.

  Parameters:
    `nestedException` - The nested exception

### SNAApplicationException

    public SNAApplicationException(java.lang.String msg,
                                   java.lang.Exception nestedException)

  Constructs an instance of `SNAApplicationException` with the specified detail message and nested exception.

  Parameters:
    `msg` - the detail message
    `nestedException` - The nested exception

Method Detail

### getNestedException

    public java.lang.Exception getNestedException()

  Description copied from interface: `SNANestedException`
  Gets the nested exception.

  Specified by:
    `getNestedException` in interface `SNANestedException`
  Returns:
    The nested exception.
  See Also:
    `SNANestedException.getNestedException()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.